Delete an attachment
Deletes an attachment and returns the deleted attachment's ID. Request: DELETE /v1/attachments/{id}. Scope: messages:delete.
DELETE
Deletes an attachment and returns the deleted attachment's ID.
apiKeyheader
x-api-key<token>id*stringMatch
^att_[0-9a-hjkmnp-tv-z]{16,24}$Success
application/json- response
success*booleandeletedId*AttachmentIdMatch
^att_[0-9a-hjkmnp-tv-z]{16,24}$import { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.attachments.remove({
"id": "example"
});Example Response
{
"success": true,
"deletedId": "string"
}